PS(1)

NAME
ps - process status

SYNOPSIS
ps [[-]alxE]

OPTIONS

-a  # Print all processes with controlling terminals

-l  # Give long listing

-x  # Include processes without a terminal

-E  # Print kernel endpoint numbers where pids are normally printed

EXAMPLES

ps  # Show user's own processes in short format

ps -axlE
    # Print all processes and tasks in long format

ps xlE
    # Same -- the '-' is optional

DESCRIPTION

Ps prints the status of active processes. Normally only the caller's own processes are listed in short format (the PID, TTY, TIME and CMD fields as explained below). The long listing contains:

  ST
    State:
        R: runnable
        W: waiting (on a message)
        S: sleeping (i.e.,suspended on PM or VFS)
        Z: zombie
        T: stopped

  UID, PID, PPID, PGRP
    The user, process, parent process and process group ID's.

  SZ
    Size of the process in kilobytes.

  RECV
    Process/task on which a receiving process is waiting or sleeping.

  TTY
    Controlling tty for the process.

  TIME
    Process' cumulative (user + system) execution time.

  CMD    Command line arguments of the process.

The /proc file system is used to obtain the process information. Terminal names in /dev are used to generate the mnemonic names in the TTY column, so ps is independent of terminal naming conventions.

NOTES
The '-' option prefix is not required. For marginal compatibility with System V usage, the hidden option -e means the same as -ax, and -f is the same as -l.